Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter Common API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.appconn.common
Class ApplicationConnectionException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.stc.connector.appconn.common.ApplicationConnectionException

All Implemented Interfaces:
  java.io.Serializable

    public class ApplicationConnectionException

extends java.lang.Exception

Exception class for Applcation Connection.

Version:
  $Revision: 1.3 $
Author:
  $Author: cmbuild $
See Also:
  Serialized Form

Constructor Summary
`ApplicationConnectionException()` Creates a new instance of `ApplicationConnectionException` without detail message.
`ApplicationConnectionException(java.lang.String msg)` Constructs an instance of `ApplicationConnectionException` with the specified detail message.
`ApplicationConnectionException(java.lang.String msg, java.lang.Throwable aCause)` Constructs an instance of `ApplicationConnectionException` with the specified detail message and a cause

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ApplicationConnectionException

    public ApplicationConnectionException()

  Creates a new instance of `ApplicationConnectionException` without detail message.

### ApplicationConnectionException

    public ApplicationConnectionException(java.lang.String msg)

  Constructs an instance of `ApplicationConnectionException` with the specified detail message.

  Parameters:
    `msg` - the detail message.

### ApplicationConnectionException

    public ApplicationConnectionException(java.lang.String msg,
                                          java.lang.Throwable aCause)

  Constructs an instance of `ApplicationConnectionException` with the specified detail message and a cause

  Parameters:
    `msg` - the detail message
    `aCause` - Throwable that caused the this exception

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter Common API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD